﻿Shader "Mobile/Hologram Avatar"
{
	Properties
	{
		_Color ("Main Color", Color) = (1,1,1,1)
		_Color2 ("Secondary Color", Color) = (1,1,1,1)
		_Color3 ("Emission Color", Color) = (1,1,1,0)
		_MainTex ("Base (RGB) Trans (A)", 2D) = "white" {}
		_Texture2 ("Base (RGB) Trans (A)", 2D) = "white" {}
	}
 
	SubShader
	{
		Tags {"RenderType"="Transparent" "Queue"="Transparent"}
		// Render into depth buffer only
		Pass {
			ColorMask 0
		}
		// Render normally
		Pass
		{
			ZWrite Off
			//Cull Off
			Blend SrcAlpha OneMinusSrcAlpha
			ColorMask RGB
			Material { Emission [_Color] }
			Lighting On
			SetTexture [_MainTex] { Combine texture * primary DOUBLE, texture * primary } 
		}
		Pass
		{
			ZWrite Off
			Cull Off
			Blend SrcAlpha OneMinusSrcAlpha
			ColorMask RGB
			Material { Diffuse [_Color2] Emission [_Color3] }
			Lighting On
			SetTexture [_Texture2] { Combine texture * primary DOUBLE, texture * primary } 
		}
	}
}