using UnityEngine;
using System;

namespace XUIML.Data
{
	/// <summary> Defines the basic representation of a XUIML Node. </summary>
	public abstract class Representation
	{
		#region Public Properties

		/// <summary> The name of the representation. </summary>
		public string Name { get; protected set; }

		/// <summary> The node associated to the representation. </summary>
		public Node Node { get; protected set; }

		#endregion

		#region Public Methods

		/// <summary> Updates the representation. </summary>
		public abstract void Update();

		/// <summary> Destroys the representation. </summary>
		public abstract void Destroy();

		#endregion
	}
}