using System;
using UnityEngine;

namespace XUIML.Data
{
	/// <summary> Describes an user interface widget. </summary>
	public partial class Mesh : Node
	{
		#region Public Subclasses

//		public class Vertex : Vector {}
//
//		public class Normal : Vector {}

		public class TextureCoordinates : Node
		{
			#region Public Properties
			
			/// <summary> The coordinate value in the X axis. </summary>
			public Number U { get; private set; }
			
			/// <summary> The coordinate value in the Y axis. </summary>
			public Number V { get; private set; }
			
			/// <summary> The coordinate value in the Z axis. </summary>
			public Number W { get; private set; }
			
			#endregion
			
			#region Public Constructor
			
			/// <summary> Initializes a new instance of the <see cref="XUIML.TextureCoordinates"/> class. </summary>
			/// <param name="name"> The node name. </param>
			/// <param name="parent"> The parent node. </param>
			public TextureCoordinates (string name, Node parent = null) : base(name, parent)
			{ this.U = new Number("u", this); this.V = new Number("v", this); this.W = new Number("w", this); }
			
			#endregion
		}

//		public class Face : Node
//		{
//			
//		}
//
//
//		public class Modifier : Node
//		{
//
//		}

		#endregion

		#region Public Properties
		
//		public Text Resource { get; private set; }
//
//		public NodeSet<Vertex> Vertices {get; private set;}
//
//		public NodeSet<Vertex> Normals {get; private set;}

		#endregion
		
		#region Public Constructor
		
		/// <summary> Initializes a new instance of the <see cref="XUIML.Mesh"/> class. </summary>
		/// <param name="name"> The node name. </param>
		/// <param name="parent"> The parent node. </param>
		public Mesh (string name, Node parent = null) : base(name, parent)
		{
			//this.Resource = new Text("resource", this);
		}

		#endregion

		#region Public Methods

		public override void Update(bool forced = false)
		{
//			UnityEngine.Mesh m = new UnityEngine.Mesh();
			//m.
		}

		#endregion
	}
}

