﻿using XUIML.Data;

namespace XUIML.Model
{
	/// <summary> Describes a physical entity within the environment. </summary>
	public class Entity : Node
	{
		#region Public Properties
		
		/// <summary>  </summary>
		public Text Type { get; private set; }

		public Vector Position { get; private set; }
		
		public Vector Rotation { get; private set; }

		/// <summary> The entities. </summary>
		public NodeSet<Entity> Entities { get; private set; }

		#endregion

		#region Public Constructor
		
		/// <summary> Initializes a new instance of the <see cref="XUIML.Entity"/> class. </summary>
		/// <param name="name"> The node name. </param>
		/// <param name="parent"> The parent node. </param>
		public Entity (string name, Node parent = null) : base(name, parent)
		{
			this.Type = new Text("type", this);
			this.Position = new Vector("position",this);
			this.Rotation = new Vector("rotation",this);
			this.Entities = new NodeSet<Entity>("entity", this);
		}
		
		#endregion
	}
}
