﻿using XUIML.Data;

namespace XUIML.Model
{
	/// <summary> Contains the information of the physical environment. </summary>
	public class Environment : Node
	{
		#region Public Properties

		/// <summary>  </summary>
		public Text Type { get; private set; }

		/// <summary>  </summary>
		public Text Link { get; private set; }

		/// <summary> The location data. </summary>
		public NodeSet<Location> Locations { get; private set; }

		/// <summary> The entities. </summary>
		public NodeSet<Entity> Entities { get; private set; }

		/// <summary> The physical force data. </summary>
		public NodeSet<Force> Forces { get; private set; }

		#endregion

		#region Public Constructor

		/// <summary> Initializes a new instance of the <see cref="XUIML.Environment"/> class. </summary>
		/// <param name="name"> The node name. </param>
		/// <param name="parent"> The parent node. </param>
		public Environment (string name, Node parent = null) : base(name, parent)
		{
			this.Type = new Text("type", this);
			this.Link = new Text("link", this);
			this.Locations = new NodeSet<Location>("location", this);
			this.Entities = new NodeSet<Entity>("entity", this);
			this.Forces = new NodeSet<Force>("force", this);
		}

		#endregion
	}
}
