﻿using XUIML.Data;

namespace XUIML.Model
{
	/// <summary> Describes a physical force within the environment. </summary>
	public class Force : Node
	{
		#region Public Properties

		/// <summary> The position of the force emitter. </summary>
		public Vector Position;

		/// <summary> The direction of the force emitter. </summary>
		public Vector Rotation;

		public Text Effect;

		public Number Magnitude;

		public Number Angle;

		public Color Color;

		#endregion

		#region Public Constructor
		
		/// <summary> Initializes a new instance of the <see cref="XUIML.Force"/> class. </summary>
		/// <param name="name"> The node name. </param>
		/// <param name="parent"> The parent node. </param>
		public Force (string name, Node parent = null) : base(name, parent)
		{
			this.Position = new Vector("position", this);
			this.Rotation = new Vector("rotation", this);
			this.Effect = new Text("effect", this);
			this.Magnitude = new Number("magnitude", this, 1.0f);
			this.Angle = new Number("angle", this);
			this.Color = new Color("color", this);
		}
		
		#endregion
	}
}
