﻿using XUIML.Data;

namespace XUIML.Model
{
	/// <summary> Contains the location properties of the environment. </summary>
	public class Location : Node
	{
		#region Public Properties

		public Vector Position { get; private set; }

		public Vector Rotation { get; private set; }

		public Vector Size { get; private set; }

		#endregion

		#region Public Constructor
		
		/// <summary> Initializes a new instance of the <see cref="XUIML.Model.Location"/> class. </summary>
		/// <param name="name"> The node name. </param>
		/// <param name="parent"> The parent node. </param>
		public Location (string name, Node parent = null) : base(name, parent)
		{
			this.Position = new Vector("position", this);
			this.Rotation = new Vector("rotation", this);
			this.Size = new Vector("size", this);
		}

		#endregion
	}
}
