﻿using System;
using XUIML.Data;

namespace XUIML.Model
{
	/// <summary> Contains the information of a computer platform. </summary>
	public class Platform : Node
	{
		#region Public Properties

		/// <summary> The interactive components. </summary>
		public NodeSet<Widget> Widgets { get; private set; }
		
		/// <summary> The media contents. </summary>
		public NodeSet<Resource> Resources { get; private set; }

		/// <summary> The device settings.. </summary>
		public NodeSet<Settings> Settings { get; private set; }
		
		#endregion
		
		#region Public Constructor

		/// <summary> Initializes a new instance of the <see cref="XUIML.Platform"/> class. </summary>
		/// <param name="name"> The node name. </param>
		/// <param name="parent"> The parent node. </param>
		public Platform (string name, Node parent = null) : base(name, parent)
		{
			this.Widgets = new NodeSet<Widget>("widget", this);
			this.Resources = new NodeSet<Resource>("resource", this);
			this.Settings = new NodeSet<Settings>("settings", this);
		}
		
		#endregion
	}
}
