﻿using XUIML.Data;

namespace XUIML.Model
{
	/// <summary> Containst the data resources. </summary>
	public class Resource : Node
	{
		#region Public Properties
		
		public NodeSet<Boolean> Booleans { get; private set; }

		public NodeSet<Index> Indexes { get; private set; }

		public NodeSet<Number> Numbers { get; private set; }

		public NodeSet<Text> Texts { get; private set; }

		public NodeSet<Resource> Resources { get; private set; }

		#endregion

		#region Public Constructor
		
		/// <summary> Initializes a new instance of the <see cref="XUIML.Model.Resource"/> class. </summary>
		/// <param name="name"> The node name. </param>
		/// <param name="parent"> The parent node. </param>
		public Resource (string name, Node parent = null) : base(name, parent)
		{
			this.Booleans = new NodeSet<Boolean>("boolean", this);
			this.Indexes = new NodeSet<Index>("index", this);
			this.Numbers = new NodeSet<Number>("number", this);
			this.Texts = new NodeSet<Text>("text", this);
			this.Resources = new NodeSet<Resource>("resource", this);
		}
		
		#endregion
	}
}
