using XUIML.Data;

namespace XUIML.Model
{
	/// <summary> Describes an user interface widget. </summary>
	public class Widget : Node
	{
		#region Public Properties

		public Text Type { get; private set; }

		public NodeSet<Widget> Widgets { get; private set; }

		public Behavior Behavior { get; private set; }

		public Mesh Geometry { get; private set; }

		public Context Context { get; private set;}

		public Vector Position { get; private set; }

		public Vector Rotation { get; private set; }

		public Vector Size { get; private set; }

		public Text Resource { get; private set; }

		public Text Environment { get; private set; }

		public Text Location { get; private set; }

		public Text Selection { get; private set; }

		#endregion

		#region Public Constructor
		
		/// <summary> Initializes a new instance of the <see cref="XUIML.Widget"/> class. </summary>
		/// <param name="name"> The node name. </param>
		/// <param name="parent"> The parent node. </param>
		public Widget (string name, Node parent) : base(name, parent)
		{
			this.Type = new Text("type", this);
			this.Widgets = new NodeSet<Widget>("widget", this);
			this.Position = new Vector("position", this);
			this.Rotation = new Vector("rotation", this);
			this.Size = new Vector("size", this);
			this.Resource = new Text("resource", this);
			this.Context = new Context("context", this);
			this.Behavior = new Behavior("behavior", this);
			this.Environment = new Text("environment", this);
			this.Location = new Text("location", this);
		}

		#endregion

		#region Public Methods

//		public override void Update (bool forced = false)
//		{
//			base.Update(forced);
//
//			Representation.Update();
//		}

		#endregion
	}
}
