﻿using XUIML.Data;

namespace XUIML.Model
{
	/// <summary> Contains the personal preferences of the end user.</summary>
	public class Preferences : Node
	{
		#region Public Properties
		
		/// <summary> The main color of the user inteface. </summary>
		public Color MainColor { get; private set; }

		/// <summary> The theme of the user inteface. </summary>
		public Text Theme { get; private set; }

		#endregion
		
		#region Public Constructor
		
		/// <summary> Initializes a new instance of the <see cref="XUIML.Preferences"/> class. </summary>
		/// <param name="name"> The node name. </param>
		/// <param name="parent"> The parent node. </param>
		public Preferences (string name, Node parent) : base(name, parent)
		{
			this.MainColor = new Color("mainColor",this);
			this.Theme = new Text("theme",this);
		}
		
		#endregion
	}
}