﻿using UnityEngine;

namespace XUIML.Unity
{
	/// <summary> Animates the material. </summary>
	public class MaterialAnimation : MonoBehaviour
	{
		#region Public Fields

		/// <summary> The material animation speed </summary>
		public Vector2 Speed;

		#endregion

		#region Private Methods

		/// <summary> Update is called once per frame. </summary>
		private void LateUpdate ()
		{
			if (!renderer.enabled) return;

			renderer.material.mainTextureOffset = new Vector2(
				renderer.material.mainTextureOffset.x + Speed.x * Time.deltaTime,
				renderer.material.mainTextureOffset.y + Speed.y * Time.deltaTime);
		}

		#endregion
	}
}
